# Contributor: Łukasz Jendrysik
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=monit
pkgver=5.26.0
pkgrel=1
pkgdesc="Managing and monitoring on a UNIX system"
url="https://mmonit.com/monit/"
arch="all"
license="AGPL-3.0-or-later"
makedepends="openssl-dev zlib-dev"
subpackages="$pkgname-doc $pkgname-openrc"
source="https://mmonit.com/monit/dist/monit-$pkgver.tar.gz
	$pkgname.initd
  fork.patch
	"

build() {
	cd "$builddir"

	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--localstatedir=/var \
		--without-pam

	make
}

check() {
	cd "$builddir"
	make check
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
			install -Dm 755 "$srcdir"/$pkgname.initd \
		"$pkgdir"/etc/init.d/$pkgname
	install -Dm 644 "$builddir"/monitrc \
		"$pkgdir"/etc/monitrc
	sed -i '/allow @monit/s/^/#/' \
		"$pkgdir"/etc/monitrc
	sed -i '/allow @users readonly/s/^/#/' \
		"$pkgdir"/etc/monitrc

	# monit checks for strict permissions of monitrc at startup
	chmod 600 "$pkgdir"/etc/monitrc
}

sha512sums="ae5bfc9f2e8cf2d2efa7a121f3bb865dc5b66b647e23e005349799f3f4384dfa1534ed88d0767ca41dac4cea2674fb82cfb51098129d350b470143df548c6900  monit-5.26.0.tar.gz
cf2b417a73766ff568f1df904f1ccdee1289037994c8ba1743cf1d04cb1ea8945f66d6cb2c9bab868f600a7c7ae57436d1f49cccbe22745b41282034e169ef25  monit.initd
e5905597aefcb3705d16cbb4afe79698ac37a8f2d2a10d95d1ba1d3a9395686323b82bd5bc1632b75c0aedeccee7b74b8b2ac4aaa63b622392587127410d33fe  fork.patch"
